# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

"""Starter script for Nova IBM EGO HA Service."""

import gettext
import sys

gettext.install('nova', unicode=1)

from nova import config
from nova import objects
from oslo_reports import guru_meditation_report as gmr
from nova import service
from nova import utils
from nova import version

from oslo_config import cfg
from oslo_log import log as logging

CONF = cfg.CONF


def main():
    config.parse_args(sys.argv)
    logging.setup(CONF, "nova")
    utils.monkey_patch()
    objects.register_all()
    gmr.TextGuruMeditation.setup_autorun(version)
    server = service.Service.create(
                    binary='nova-ibm-ego-ha-service',
                    topic='hapolicy',
                    manager='nova.ibm.ego.hapolicy.manager.HAPolicyManager')
    service.serve(server)
    service.wait()
