# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

"""Starter script for Nova IBM EGO SLA Service."""

import sys

from nova import config
from nova import objects
from oslo_reports import guru_meditation_report as gmr
from nova import service
from nova import utils
from nova import version

from oslo_config import cfg
from oslo_log import log as logging

CONF = cfg.CONF
CONF.import_opt('slapolicy_topic', 'nova.ibm.ego.slapolicy.rpcapi')

def main():
    config.parse_args(sys.argv)
    logging.setup(CONF, "nova")
    utils.monkey_patch()
    objects.register_all()
    gmr.TextGuruMeditation.setup_autorun(version)
    server = service.Service.create(
        binary='nova-ibm-ego-sla-policy',
        topic=CONF.slapolicy_topic,
        manager='nova.ibm.ego.slapolicy.manager.SLAPolicyManager')
    service.serve(server)
    service.wait()
