# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

"""
gettext for OpenStack IBM EGO modules.

Usual usage in an openstack.common module:

    from nova.ibm.ego import ego_gettextutils
    _ = ego_gettextutils._
"""

import gettext
import os

locale_path = os.path.join(os.path.dirname(__file__), 'locale')
t = gettext.translation('ego', locale_path, fallback=True)


def _(msg):
    return t.ugettext(msg)


def _LI(msg):
    return t.ugettext(msg)


def _LW(msg):
    return t.ugettext(msg)


def _LE(msg):
    return t.ugettext(msg)


def _LC(msg):
    return t.ugettext(msg)
