# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2014 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from oslo_config import cfg
from oslo_utils import importutils

_hapolicy_opts = [
    cfg.StrOpt('hapolicy_api_class',
                default='nova.ibm.ego.hapolicy.api.API',
                help='The full class name of the '
                     'hapolicy API class to use'),
]

cfg.CONF.register_opts(_hapolicy_opts)


def API():
    hapolicy_api_class = cfg.CONF.hapolicy_api_class
    cls = importutils.import_class(hapolicy_api_class)
    return cls()
