# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2014 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from nova import exception
from nova.ibm.ego import ego_gettextutils

_ = ego_gettextutils._


class HAPolicyNotFound(exception.NotFound):
    msg_fmt = _("The policy engine manager could not find HA policy "
                "%(policy_id)r. Specify another HA policy.")


class InvalidHAPolicyAction(exception.Invalid):
    msg_fmt = _("The policy engine manager cannot %(action)r on HA "
                "policy %(policy_id)r. Reason: %(reason)s")


class HAPolicyConfFileNotFoundPath(exception.NotFound):
    msg_fmt = _("The policy engine manager could not find the HA "
                "policy configuration file: %(policy_conf)s")


class InvalidHAPolicyState(exception.Invalid):
    msg_fmt = _("HA policy state should be 'disabled' or 'enabled'.")


class InvalidHAPolicyInput(exception.Invalid):
    msg_fmt = _("The value %(value)r for %(attribute)r "
                "is invalid. Specify a number between "
                "%(min)d and %(max)d as the value.")


class HostMaintenanceError(exception.Invalid):
    msg_fmt = _("%(reason)s")
