# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from nova import context


class PRSDriver(object):
    """
    Shared driver for PRS services.
    """
    def get_context(self, ctxt=None, context_service_catalog=None):
        """
        Method to obtain a context object.
        :param ctxt: Optional context object
        :param context_service_catalog: Optional service catalog

        :returns: An admin context object
        """
        # Get admin context if an admin context was not passed in
        if ctxt is None or not ctxt.is_admin:
            ctxt = context.get_admin_context()
        return ctxt
