# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2014, 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from oslo_config import cfg
from oslo_utils import importutils

_resource_opts = [
    cfg.StrOpt('resource_api_class',
               default='nova.ibm.ego.resource.api.API',
               help='The full class name of the '
                    'resource API class to use'),
]

cfg.CONF.register_opts(_resource_opts)


def API():
    resource_api_class = cfg.CONF.resource_api_class
    cls = importutils.import_class(resource_api_class)
    return cls()
