# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2014, 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

"""Handles all requests related to the resource manager service."""
from nova.db import base
from nova.ibm.ego.resource import rpcapi


class API(base.Base):

    def __init__(self, **kwargs):
        self.rpcapi = rpcapi.ResourceAPI()
        super(API, self).__init__(**kwargs)

    def get_resource_plan_properties(self, context):
        return self.rpcapi.get_resource_plan_properties(context)

    def set_resource_plan_properties(self, context, properties):
        return self.rpcapi.set_resource_plan_properties(context, properties)

    def get_consumer_list(self, context):
        return self.rpcapi.get_consumer_list(context)

    def get_consumer_by_id(self, context, tenant_id):
        return self.rpcapi.get_consumer_by_id(context, tenant_id)

    def create_consumer(self, context, tenant_id):
        return self.rpcapi.create_consumer(context, tenant_id)

    def delete_consumer(self, context, tenant_id):
        return self.rpcapi.delete_consumer(context, tenant_id)

    def set_consumer(self, context, properties):
        return self.rpcapi.set_consumer(context, properties)

    def get_plan_details(self, context):
        return self.rpcapi.get_plan_details(context)

    def get_plan_detail_by_consumer(self, context, tenant_id):
        return self.rpcapi.get_plan_detail_by_consumer(context, tenant_id)

    def set_plan_details(self, context, details):
        return self.rpcapi.set_plan_details(context, details)

    def get_services_info(self, context):
        return self.rpcapi.get_services_info(context)
