# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2014, 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================
"""
Constants used in resource manager component
"""
MD_RESOURCE_PLAN_NAME = "DockerHosts"
MD_RESOURCE_GROUP_NAME = "DockerGroup"

RESOURCE_PLAN_FLAG_CREATE = 0
RESOURCE_PLAN_FLAG_UPDATE = 1


# constants defined in EGO
EGO_WITHOUT_VERSION = 0x0
VEM_POLICY_FULL_PLAN = 0x1
VEM_GETCONSUMERTREE_AS_CONSUMER_ADMIN = 0x01
VEM_EXEC_USER_EGO_ADMIN = "vem_exec_user_ego_admin"


# Set consumer operation type.
POLICY_CONSUMER_ADDONLY = 0x1
POLICY_CONSUMER_ADDDEL = 0x2
POLICY_CONSUMER_DELONLY = 0x4
POLICY_CONSUMER_SETONLY = 0x8

# attributes.
ATTR_CONSUMER_NAME = 'consumer_name'
ATTR_TENANT_NAME = 'tenant_name'
ATTR_LENDOUT = 'lendout_grace_period'
ATTR_RECLAIM = 'reclaim_grace_period'
ATTR_REBALANCE = 'rebalance'

# plan details
ATTR_SHARE_RATIO = 'share_ratio'
ATTR_PRIORITY_GROUP = 'priority_group'
ATTR_CPU = 'cpu'
ATTR_MEM = 'mem'
ATTR_OWNERSHIP_TYPE = 'ownership_type'
ATTR_OWNERSHIP_TYPE_ABUSOLUTE = 'absolute'
ATTR_OWNERSHIP_TYPE_PERCENTAGE = 'percentage'
ATTR_OWNED_HOST = 'owned_host'
ATTR_RESERVED_HOST = 'reserved_host'
ATTR_RANK = 'rank'
ATTR_RESERVED_CPU = 'reserved_cpu'
ATTR_RESERVED_MEM = 'reserved_mem'

# orphan tag to mark a consumer who's
# tenant has been deleted but still have
# allocations on it.
TAG_ORPHAN_CONSUMER = "(orphan)"
