# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from oslo_config import cfg
from oslo_utils import importutils

_rtpolicy_opts = [
    cfg.StrOpt('rtpolicy_api_class',
                default='nova.ibm.ego.rtpolicy.api.API',
                help='The full class name of the '
                     'rtpolicy API class to use'),
]

cfg.CONF.register_opts(_rtpolicy_opts)


def API():
    rtpolicy_api_class = cfg.CONF.rtpolicy_api_class
    cls = importutils.import_class(rtpolicy_api_class)
    return cls()
