# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2013, 2014 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from nova import exception
from nova.ibm.ego import ego_gettextutils

_ = ego_gettextutils._


class PlacementPolicyNotFound(exception.NotFound):
    msg_fmt = _("The policy engine manager could not find placement policy "
                "%(rtpolicy_id)r. Specify another placement policy.")


class InvalidPlacementPolicyOperation(exception.Invalid):
    msg_fmt = _("The policy engine manager cannot %(operation)s on placement "
                "policy %(rtpolicy_id)r. Reason: %(reason)s")


class PlacementPolciyConfFileNotFoundPath(exception.NotFound):
    msg_fmt = _("The policy engine manager could not find the placement "
                "policy configuration file %(rtpolicy_conf)r.")


class InvalidPlacementPolicyState(exception.Invalid):
    msg_fmt = _("Placement policy %(rtpolicy_id)r does not "
                "support %(state)r state.")


class InvalidPlacementPolicyGoal(exception.Invalid):
    msg_fmt = _("Specify a valid goal for placement policy %(rtpolicy_id)r. "
                "Do not leave the goal blank.")


class InvalidPlacementPolicyInput(exception.Invalid):
    msg_fmt = _("The value %(value)r for %(attribute)r "
                "is invalid. Specify a number between "
                "%(min)d and %(max)d for the value.")


class PlacementPolicyEGOConnLost(exception.Invalid):
    msg_fmt = _("The policy engine manager lost its connection to EGO.")


class InvalidPlacementPolicyAction(exception.Invalid):
    msg_fmt = _("Specify a valid action %(policy_action)r for the "
                "placement policy.")
