# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from oslo_config import cfg
from oslo_utils import importutils

_slapolicy_opts = [
    cfg.StrOpt('slapolicy_api_class',
                default='nova.ibm.ego.slapolicy.api.API',
                help='The full class name of the '
                     'slapolicy API class to use'),
]

cfg.CONF.register_opts(_slapolicy_opts)


def API():
    slapolicy_api_class = cfg.CONF.slapolicy_api_class
    cls = importutils.import_class(slapolicy_api_class)
    return cls()
