# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

"""
Handles all requests related to the slapolicy service.
"""

from nova.db import base
from nova.ibm.ego.slapolicy import rpcapi as slapolicy_rpcapi


class API(base.Base):
    """
    API for doing SLA policy via the
    nova-ibm-ego-slapolicy manager.
    """

    def __init__(self, **kwargs):
        self.slapolicy_rpcapi = slapolicy_rpcapi.SLAPolicyAPI()
        super(API, self).__init__(**kwargs)

    def get_all(self, context):
        return self.slapolicy_rpcapi.get_all(context)

    def get(self, context, slapolicy_id):
        return self.slapolicy_rpcapi.get(context, slapolicy_id)

    def update(self, context, slapolicy_id, slapolicy, **kwargs):
        return self.slapolicy_rpcapi.update(context, slapolicy_id,
                                           slapolicy, **kwargs)

    def hypervisor_list(self, context, search_opts):
        return self.slapolicy_rpcapi.hypervisor_list(context, search_opts)

    def event_list(self, context, search_opts, marker, limit):
        return self.slapolicy_rpcapi.event_list(context, search_opts, marker,
                                               limit)
