# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

"""Constants used in SLA Policy."""

from nova.ibm.ego import ego_constants

PRS_SLAPOLICY_HYPERVISOR_ALERT = 'prs.slapolicy.hypervisor.alert'
PRS_SLAPOLICY_HYPERVISOR_VIOLATED = 'prs.slapolicy.hypervisor.violated'
PRS_SLAPOLICY_HYPERVISOR_RECOVERED = 'prs.slapolicy.hypervisor.recovered'
PRS_SLAPOLICY_ACTION_START = 'prs.slapolicy.action.start'
PRS_SLAPOLICY_ACTION_END = 'prs.slapolicy.action.end'

SLAPOLICY = 'slapolicy'
SLAINITIALPOLICY = 'slainitialpolicy'
SLARUNTIMEPOLICY = 'slaruntimepolicy'
POLICY_EXTRA = 'extra'
ATTRIBUTE_TYPE_ELEMENT = 'element'

SLAINITIALPOLICY_ID = (SLAINITIALPOLICY +
                       ego_constants.POLICY_DELIMITER +
                       ego_constants.POLICY_ID)

SLARUNTIMEPOLICY_RUN_INTERVAL = (SLARUNTIMEPOLICY +
                                 ego_constants.POLICY_DELIMITER +
                                 ego_constants.POLICY_RUN_INTERVAL)
SLARUNTIMEPOLICY_STABILIZATION = (SLARUNTIMEPOLICY +
                                 ego_constants.POLICY_DELIMITER +
                                 ego_constants.POLICY_STABILIZATION)
SLARUNTIMEPOLICY_EXTRA = (SLARUNTIMEPOLICY +
                            ego_constants.POLICY_DELIMITER +
                            POLICY_EXTRA)
SLARUNTIMEPOLICY_ACTION = (SLARUNTIMEPOLICY +
                           ego_constants.POLICY_DELIMITER +
                           ego_constants.POLICY_ACTION)
SLARUNTIMEPOLICY_ID = (SLARUNTIMEPOLICY +
                       ego_constants.POLICY_DELIMITER +
                       ego_constants.POLICY_ID)
SLARUNTIMEPOLICY_MAX_PARALLEL = (SLARUNTIMEPOLICY +
                                 ego_constants.POLICY_DELIMITER +
                                 ego_constants.POLICY_MAX_PARALLEL)

SLA_RUNTIME_POLICY_ATTRIBUTES = [
    (SLARUNTIMEPOLICY_ID, ego_constants.ATTRIBUTE_TYPE_INT),
    (SLARUNTIMEPOLICY_RUN_INTERVAL, ego_constants.ATTRIBUTE_TYPE_INT),
    (SLARUNTIMEPOLICY_STABILIZATION, ego_constants.ATTRIBUTE_TYPE_INT),
    (SLARUNTIMEPOLICY_MAX_PARALLEL, ego_constants.ATTRIBUTE_TYPE_INT),
    (SLARUNTIMEPOLICY_EXTRA, ATTRIBUTE_TYPE_ELEMENT),
    (SLARUNTIMEPOLICY_ACTION, ego_constants.ATTRIBUTE_TYPE_STR)
]
