# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from nova import exception
from nova.ibm.ego import ego_gettextutils

_ = ego_gettextutils._


class SLAPolciyConfFileNotFoundPath(exception.NotFound):
    msg_fmt = _("The SLA policy engine manager could not find the SLA "
                "policy configuration file %(slapolicy_conf)r.")


class MissedSLAPolicyAttributes(exception.Invalid):
    msg_fmt = _("Missing %(attribute)s in the SLA configuration file.")


class InvalidSLAPolicyInput(exception.Invalid):
    msg_fmt = _("The value %(value)r for %(attribute)r "
                "is invalid. Specify a number between "
                "%(min)d and %(max)d.")


class InvalidSLAPolicyID(exception.Invalid):
    msg_fmt = _("The specified SLA policy ID "
                "(%(value)s) for attribute (%(attr)s) is "
                "invalid for aggregate (%(agg_id)s). "
                "Specify one of the following policy IDs "
                "instead: (%(valid_ids)s).")


class InvalidSLAPolicyGoal(exception.Invalid):
    msg_fmt = _("Specify a valid goal for SLA policy %(slapolicy_id)r. "
                "Do not leave the goal blank.")


class InvalidSLAPolicyState(exception.Invalid):
    msg_fmt = _("SLA policy %(slapolicy_id)r does not "
                "support %(state)r state.")


class InvalidSLAPolicyAction(exception.Invalid):
    msg_fmt = _("Specify a valid action %(policy_action)r for the "
                "SLA policy.")


class InvalidSLAPolicyExtra(exception.Invalid):
    msg_fmt = _("The value %(extra)r for the SLA policy extra field "
                "is invalid, please specify a dict format for it.")


class SLAPolicyNotFound(exception.NotFound):
    msg_fmt = _("The SLA policy engine manager could not find SLA policy "
                "%(slapolicy_id)r. Specify another SLA policy.")


class InvalidSLAPolicyOperation(exception.Invalid):
    msg_fmt = _("The SLA policy engine manager cannot %(operation)s on SLA "
                "policy %(slapolicy_id)r. Reason: %(reason)s")


class SLAPolicyEGOConnLost(exception.Invalid):
    msg_fmt = _("The SLA policy engine manager lost its connection to EGO.")
