# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from oslo_config import cfg
from oslo_utils import importutils

_wrg_opts = [
    cfg.StrOpt('wrg_api_class',
                default='nova.ibm.ego.wrg.api.API',
                help='The full class name of the '
                     'workload resource group API class to use'),
]

cfg.CONF.register_opts(_wrg_opts)


def API():
    wrg_api_class = cfg.CONF.wrg_api_class
    cls = importutils.import_class(wrg_api_class)
    return cls()
