from nova.scheduler import rpcapi


class EGOSchedulerAPI(rpcapi.SchedulerAPI):
    def __init__(self):
        super(EGOSchedulerAPI, self).__init__()

    def ego_alloc_create(self, ctxt, name, inter_sub_policies,
                              sub_demands):
        cctxt = self.client.prepare()
        return cctxt.call(ctxt, 'ego_alloc_create', name=name,
                          inter_sub_policies=inter_sub_policies,
                          sub_demands=sub_demands)

    def ego_alloc_resize(self, ctxt, name, sub_demands):
        cctxt = self.client.prepare()
        return cctxt.call(ctxt, 'ego_alloc_resize', name=name,
                          sub_demands=sub_demands)

    def ego_alloc_free(self, ctxt, name):
        cctxt = self.client.prepare()
        return cctxt.call(ctxt, 'ego_alloc_free', name=name)

    def ego_get_release_candidates(self, ctxt, name, sub_demand_name,
                                   num_unit):
        cctxt = self.client.prepare()
        return cctxt.call(ctxt, 'ego_get_release_candidates', name=name,
                          sub_demand_name=sub_demand_name,
                          num_unit=num_unit)

    def ego_get_possible_hosts(self, ctxt, decid, group_list, order_list,
                               filter_properties):
        cctxt = self.client.prepare()
        return cctxt.call(
            ctxt, 'ego_get_possible_hosts', decid=decid,
            group_list=group_list, order_list=order_list,
            filter_properties=filter_properties)

    def ego_sync_up_hosts(self, context):
        cctxt = self.client.prepare()
        cctxt.cast(context, "ego_sync_up_hosts")

    def ego_get_resource_list(self, context, cstr, state=None,
                              is_attr_required=True):
        cctxt = self.client.prepare()
        return cctxt.call(context, "ego_get_resource_list", cstr=cstr,
                          state=state, is_attr_required=is_attr_required)

    def get_instance_info(self, ctxt, instance_uuid):
        cctxt = self.client.prepare()
        return cctxt.call(
            ctxt, 'get_instance_info', instance_uuid=instance_uuid)
