# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from nova.ibm.ego import ego_gettextutils
from nova.scheduler.ibm.ego import filters

from oslo_log import log as logging

_ = ego_gettextutils._

LOG = logging.getLogger(__name__)


class AggregateMultiTenancyIsolation(filters.EGOBaseFilter):
    # Aggreagte data and tenant do not change within a request
    run_filter_once_per_request = True

    def __init__(self):
        super(AggregateMultiTenancyIsolation, self).__init__()

    def parse(self, filter_properties, all_egohost_attrs):
        """
        Convert AggregateMultiTenancyIsolation requirement
        to EGO res req
        """
        spec = filter_properties.get('request_spec', {})
        props = spec.get('instance_properties', {})
        tenant_id = props.get('project_id')
        req_str = " '" + str(tenant_id) + "' <in> $filter_tenant_id"
        self._select(req_str)
        LOG.debug("select list after passing AggregateMultiTenancyIsolation "
                  "(%s)" % req_str)
