# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from nova.scheduler.ibm.ego import filters


class CoreFilter(filters.EGOBaseFilter):
    def __init__(self):
        super(CoreFilter, self).__init__()

    def parse(self, filter_properties, all_egohost_attrs):
        """
        This is built-in feature for EGO Scheduler, EGO scheduler
        will transfer VM flavor cpu/memory to EGO resource requirement
        flavor: cpu=1 memory=512
        EGO resource requirement: consume(vcpu=1:memSize=512)
        """
        pass


class AggregateCoreFilter(filters.EGOBaseFilter):
    def __init__(self):
        super(AggregateCoreFilter, self).__init__()

    def parse(self, filter_properties, all_egohost_attrs):
        """
        This is built-in feature for EGO Scheduler, EGO scheduler
        will transfer VM flavor cpu/memory to EGO resource requirement.
        Aggregate core limitation in metadata will be set into EGO.
        flavor: cpu=1 memory=512
        EGO resource requirement: consume(vcpu=1:memSize=512)
        """
        pass
