# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from nova.ibm.ego import ego_gettextutils
from nova.scheduler.ibm.ego import filters

from oslo_log import log as logging

_ = ego_gettextutils._

LOG = logging.getLogger(__name__)


class ExactCoreFilter(filters.EGOBaseFilter):
    def __init__(self):
        super(ExactCoreFilter, self).__init__()
        self._set_filter_extra_resreq_for_create(False)

    def parse(self, filter_properties, all_egohost_attrs):
        """
        Convert ExactCoreFilter requirement
        to EGO res req
        """
        instance_type = filter_properties.get('instance_type')
        if not instance_type:
            return

        required_vcpus = instance_type['vcpus']
        req_str = "$vcpu-$vcpuConsumed==" + str(required_vcpus)
        self._select(req_str)
        LOG.debug("select list after passing ExactCoreFilter "
                  "(%s)" % req_str)
