# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2014 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================
import copy

from nova.scheduler.ibm.ego.filters import json_filter


class InstanceMetadataFilter(json_filter.JsonFilter):
    def __init__(self):
        super(InstanceMetadataFilter, self).__init__()
        self._set_filter_extra_resreq_for_create(False)

    def parse(self, filter_properties, all_egohost_attrs):
        # Get the metadata from database for the case that some call not
        # have metadata in the filter_properties, InstanceJsonFilter
        # still need to check the instance metadata in database, such as
        # call from get possiblehost.
        metadata = filter_properties.get('request_spec',
                    {}).get('instance_properties', {}).get('metadata', {})
        if not metadata.get('json_query', None):
            return
        props = copy.deepcopy(filter_properties)
        query = metadata.get('json_query', None)
        props.update({'json_query': query})
        super(InstanceMetadataFilter, self).parse(props, all_egohost_attrs)
