# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from nova.ibm.ego import ego_gettextutils
from nova.scheduler.ibm.ego import filters

from oslo_config import cfg
from oslo_log import log as logging

_ = ego_gettextutils._

LOG = logging.getLogger(__name__)

CONF = cfg.CONF

CONF.import_opt("max_io_ops_per_host",
               'nova.scheduler.filters.io_ops_filter')


class IoOpsFilter(filters.EGOBaseFilter):
    def __init__(self):
        super(IoOpsFilter, self).__init__()

    def parse(self, filter_properties, all_egohost_attrs):
        """
        Convert IoOpsFilter requirement
        to EGO res req
        """
        max_io_ops = CONF.max_io_ops_per_host
        req_str = "$io_workload < " + str(max_io_ops)
        self._select(req_str)
        LOG.debug("select list after passing IoOpsFilter "
                  "(%s)" % req_str)
