# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2014 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from nova.ibm.ego import ego_gettextutils
from nova.scheduler.ibm.ego import filters

from oslo_log import log as logging

_ = ego_gettextutils._

LOG = logging.getLogger(__name__)


class MaintenanceFilter(filters.EGOBaseFilter):
    # Host state does not change within a request
    run_filter_once_per_request = True

    def __init__(self):
        super(MaintenanceFilter, self).__init__()

    def parse(self, filter_properties, all_egohost_attrs):
        """
        Convert Maintenance requirement to EGO res req
        """
        req_str = "$maintenance_status==ok"
        self._select(req_str)
        LOG.debug("After passing the Maintenance filter, "
                  "the resource requirement expression "
                  "is (%s)." % req_str)
