# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from nova.ibm.ego import ego_gettextutils
from nova.scheduler.ibm.ego import filters

from oslo_config import cfg
from oslo_log import log as logging

_ = ego_gettextutils._

LOG = logging.getLogger(__name__)

CONF = cfg.CONF

CONF.import_opt("max_instances_per_host",
                'nova.scheduler.filters.num_instances_filter')


class NumInstancesFilter(filters.EGOBaseFilter):
    def __init__(self):
        super(NumInstancesFilter, self).__init__()

    def parse(self, filter_properties, all_egohost_attrs):
        """
        Convert NumInstancesFilter requirement
        to EGO res req
        """
        max_instances = CONF.max_instances_per_host
        req_str = "$num_instances < " + str(max_instances)
        self._select(req_str)
        LOG.debug("select list after passing NumInstancesFilter "
                  "(%s)" % req_str)
