# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from nova.ibm.ego import ego_constants
from nova.scheduler.ibm.ego import filters


class RetryFilter(filters.EGOBaseFilter):
    def __init__(self):
        super(RetryFilter, self).__init__()
        self._set_filter_scope([ego_constants.FILTER_WORKING_SCOPE_CREATE])

    def parse(self, filter_properties, all_egohost_attrs):
        """
        Convert RetryFilter requirement to EGO res req
        """
        retry = filter_properties.get('retry', {})
        if not retry:
            return

        ignore_hosts = filter_properties.get('ignore_hosts', [])
        hosts = retry.get('hosts', [])
        for host in hosts:
            ignore_hosts.append(host[0])
        self._exclude_hosts(list(set(ignore_hosts)))
