# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from nova.ibm.ego import ego_gettextutils
from nova.scheduler.ibm.ego import filters

from oslo_log import log as logging

_ = ego_gettextutils._

LOG = logging.getLogger(__name__)


class TrustedFilter(filters.EGOBaseFilter):
    def __init__(self):
        super(TrustedFilter, self).__init__()

    def parse(self, filter_properties, all_egohost_attrs):
        """
        Convert TrustedFilter requirement to EGO res req
        """
        instance = filter_properties.get('instance_type', {})
        extra = instance.get('extra_specs', {})
        trust = extra.get('trust:trusted_host')
        resreq = ""
        if not trust:
            return
        elif trust == 'trusted':
            resreq = "$trust_lvl==1"
        elif trust == 'untrusted':
            resreq = "$trust_lvl==0"
        else:
            return
        self._select(resreq)
        LOG.debug("After passing the TrustedFilter filter, "
                  "the resource requirement expression is (%s)."
                    % resreq)
