# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2013, 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from nova import exception

from powervc_nova import _


class IBMPowerVCThreadGroupEnding(exception.NovaException):
    msg_fmt = _("All threads in the thread group have been ended")


class IBMPowerVCVolumeCloneFailure(exception.NovaException):
    msg_fmt = _("Failed to create volume for instance %(instname)s: "
                "%(instuuid)s, from image volume %(srcvolid)s."
                " Volume error: %(vol_error)s")


class IBMPowerVCVolumeCreateFailure(exception.NovaException):
    msg_fmt = _("Failed to create volume for instance %(instname)s: "
                "%(instuuid)s.  Volume error: %(vol_error)s")


class IBMPowerVCExistingVolumeInError(exception.NovaException):
    msg_fmt = _("The volume %(vol_name)s: %(vol_id)s cannot be attached to "
                "instance %(instname)s: %(instuuid)s. because it is in the "
                "error state. Volume error: %(vol_error)s")


class IBMPowerVCVInvalidVolumeConnector(exception.NovaException):
    msg_fmt = _("Volume %(volid)s connector is invalid for instance "
                "%(inst)s")


class IBMPowerVCInvalidOperation(exception.NovaException):
    msg_fmt = _("Operation cannot be performed on host whose maintenance"
                " state is %(state)s")


class IBMPowerVCUnsupportedBDM(exception.NovaException):
    msg_fmt = _("Block device mappings of type '%(bdm_type)s' are "
                "not supported.")


class IBMPowerVCMissingRequiredImageProperty(exception.NovaException):
    msg_fmt = _("Image '%(image_name)s' is missing the required property "
                "'%(property_name)s.'")


class IBMPowerVCMissingBDMs(exception.NovaException):
    msg_fmt = _("No volume information was found for instance '%(instuuid)s'")


class IBMPowerVCDuplicateVolumeAttach(exception.NovaException):
    msg_fmt = _("The volume '%(volume_id)s' has been specified "
                "for attachment more than once to instance '%(instuuid)s'.")


class IBMPowerVCNotAllowed(exception.NovaException):
    msg_fmt = _("Action not allowed.")
