#
# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2014, 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================


from oslo_config import cfg

from powervc_nova.network.powerkvm.agent import commandlet
from oslo_log import log as logging

LOG = logging.getLogger(__name__)
CONF = cfg.CONF


class HostPortAggregator():
    """
    This class is designed to aggregate various command outputs into one
    logical format and provide that as an input to the host-ovs REST API.
    """

    def get_host_dom(self):
        """
        This API is used to return the DOM object of net devices on the system
        This operates at the host and will be used to return DOM objects for
        the given host
        :return: host_ovs_config: A DOM object representing the host_ovs config
        """
        dom_converter = commandlet.DOMObjectConverter()
        return dom_converter.get_dom(self.get_host_name())

    def get_host_name(self):
        '''
        Returns the host name
        '''
        return CONF.host
