# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2013, 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from oslo_config import cfg

ibmpowervm_opts = [
    cfg.StrOpt('powervm_switch_type',
               help='Specifies that the Host has switched from this type.'),
    cfg.StrOpt('powervm_vif_driver',
               default='powervc_nova.'
               'virt.ibmpowervm.vif.hmc.driver_hmc.IBMPowerVMVlanVIFDriverHMC',
               help='Driver to plug/Unplug VLANs into adapters'),
    cfg.StrOpt('powervm_vif_topo_driver',
               default='powervc_nova.'
               'virt.ibmpowervm.vif.hmc.topo_hmc.IBMPowerVMNetworkTopoHMC',
               help='Driver to gather the topology of the network.'),
    cfg.StrOpt('powervm_mgr_type',
               default=None,
               help='PowerVM manager type (pvm, hmc)'),
    cfg.StrOpt('powervm_mgr',
               default=None,
               help='PowerVM manager host or ip'),
    cfg.StrOpt('powervm_img_local_path',
               default='/tmp',
               help='Local directory to download glance images to.'
               ' Make sure this path can fit your biggest image in glance'),
# ## Not used:
#     cfg.IntOpt('powervm_mgr_port',
#                default=22,
#                help='PowerVM manager port'),
#     cfg.StrOpt('ibmpowervm_remote_debug',
#                default='',
#                help='Turns on the pydev remote debugger'),
#     cfg.StrOpt('ibmpowervm_remote_debug_host',
#                default='',
#                help='Remote debug server'),
#     cfg.IntOpt('ibmpowervm_remote_debug_port',
#                default=5678,
#                help='Remote debug server port'),
#     cfg.StrOpt('powervm_max_ssh_pool_size',
#                default='5',
#                help='The maximum ssh connection pool size for IVM'),
#     cfg.StrOpt('powervm_img_remote_path',
#                default='/home/padmin',
#                help='PowerVM image remote path where images will be moved.'
#                ' Make sure this path can fit your biggest image in glance'),
#     cfg.StrOpt('powervm_mgr_user',
#                default=None,
#                help='PowerVM manager user name'),
#     cfg.StrOpt('powervm_mgr_passwd',
#                default=None,
#                help='PowerVM manager user password',
#                secret=True),

    cfg.StrOpt('ibmpowervm_known_hosts_path',
               default='/opt/ibm/powervc/data/known_hosts',
               help='Path to known hosts key file'),
    cfg.StrOpt('hypervisor_hostname',
               default='',
               help='hostname from hypervisor'),
    cfg.StrOpt('host_storage_type',
               default='san',  # supported value "san" or "local"
               help='The host storage type supported by IVM')
]

CONF = cfg.CONF
CONF.register_opts(ibmpowervm_opts)
