# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2013, 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================
from oslo_config import cfg

ibmpowervm_opts = [
    cfg.StrOpt('powervm_mgr_uuid',
               default='',
               help='The unique id of the host to manage'),
    cfg.IntOpt('ibmpowervm_comm_timeout',
               default=900,
               help='Default timeout value for communications'),
    cfg.StrOpt('ibmpowervm_remote_debug',
               default='',
               help='Turns on the pydev remote debugger'),
    cfg.StrOpt('ibmpowervm_remote_debug_host',
               default='',
               help='Remote debug server'),
    cfg.IntOpt('ibmpowervm_remote_debug_port',
               default=5678,
               help='Remote debug server port'),
    cfg.IntOpt('ibmpowervm_instance_cache_interval',
               default=120,
               help='Remote debug server port'),
    cfg.StrOpt('ibmpowervm_vios_name',
               default='',
               help='Temporary config to specify which VIOS to use'),
    cfg.IntOpt('ibmpowervm_update_collision_retries',
               default=5,
               help='Number of retries if an update operation failed due to '
                    'collision'),
    cfg.IntOpt('ibmpowervm_power_off_timeout',
               default=120,
               help='Timeout in seconds for power off task.'),
    cfg.BoolOpt('ibmpowervm_stg_adapters_threaded',
                default=True,
                help='Create Adapter pair in parallel.'),
    cfg.IntOpt('ibmpowervm_hmc_connection_retries',
               default=0,
               help='Number of retries to establish connection with HMC.'),
    cfg.BoolOpt('ibmpowervm_register_ssps',
                default=True,
                help='Determines whether to Auto-Register VIOS Clusters'),
    cfg.IntOpt('ibmpowervm_sys_busy_retries',
               default=3,
               help='Number of retries if an update operation failed due to '
                    'busy return code'),
    cfg.BoolOpt('ibmpowervm_ssp_hmc_version_check',
                default=True,
                help='Determines if the HMC version should be checked for '
                     'cluster registration'),
    cfg.BoolOpt('send_rmc_busy_message',
                default=True,
                help='Send periodic messages to ui if VIOS '
                     'RMC is in busy state.'),
    cfg.BoolOpt('enable_rmdev',
                default=True,
                help='invokes rmdev to remove the device during detach '),
    cfg.BoolOpt('migration_cleanup',
                default=True,
                help='Cleanup the hdisk devices during Migration '),
    cfg.IntOpt('number_of_exceptions_needed_for_missing_inst_hmc',
               default=2,
               help='Number of instance not found exceptions must be received'
               'before reporting the instance as missing'),
    cfg.IntOpt('prs_max_parallel_rebuilds_hmc',
               default=10,
               help='Integer value that indicates the max number of '
               'concurrent remote restarts that will occur for a given '
               'source host. Required stat that applies to PowerVM'),
    cfg.IntOpt('prs_max_parallel_dest_rebuilds_hmc',
               default=4,
               help='Integer value that indicates the max number of '
               'concurrent remote restarts that will occur for a given '
               'target host. Required stat that applies to PowerVM')
]


CONF = cfg.CONF
CONF.register_opts(ibmpowervm_opts)
CONF.import_opt('host', 'nova.netconf')
