# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2014 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================
from nova.virt import event as virtevent

EVENT_HOST_DOWN = 100
EVENT_CLEAR_TASK = 101


class LifecycleEvent(virtevent.LifecycleEvent):
    """Class for instance lifecycle state change events.

    Extend LifecycleEvent class to set a new
    object for whether or not to directly update the database.
    """
    def __init__(self, uuid, transition, timestamp=None, host_state=None):
        super(LifecycleEvent, self).__init__(uuid, transition, timestamp)

        self.host_state = host_state

    def get_host_state(self):
        return self.host_state
