# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2013, 2014 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================
"""
    Internal k2 convenience exceptions.  These are not intended to
    be surfaced to the user since k2 has no context of the intent
    of the operation.
"""

from powervc_nova import _

from nova import exception


class NotFound(exception.NovaException):
    msg_fmt = _('Element not found: %(element_type) %(element)')


class LPARNotFound(exception.NovaException):
    msg_fmt = _('LPAR not found %(lpar_name)')


class SystemNotFound(exception.NovaException):
    msg_fmt = _('System not found %(system_name)')
