# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2013, 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from nova import exception

from powervc_nova import _


class IBMPowerVMVolumeAdapterNotFound(exception.NovaException):
    msg_fmt = _("Failed to get the volume adapter type for volume of "
                "instance %(uuid)s. Check if the required storage "
                "connectivity is present")


class IBMPowerVMOSRemMemFailed(exception.NovaException):
    msg_fmt = _("Unable to resize the virtual machine %(instance_name)s "
                "to the specified memory. This is likely because some of the "
                "memory to be removed is being used by the operating system. "
                "Try the resize again with a larger memory.")
