# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================
import time
import os
from powervc_ras.cli.diag_utils import utils
from powervc_ras.cli.diag_utils import constants
from powervc_ras import _
debug = False
if os.getenv('POWERVCDIAG_DEBUG'):
    debug = True


def serviceconf(service):
    """Collect service configuration files.
    """
    print _("INFO: Collecting %s (%s) configuration files...") \
        % (service, constants.service_map[service])
    if debug:
        stime = time.time()
    conffiles_service = "/etc/%s/*.conf /etc/%s/*.ini \
        /opt/ibm/powervc/policy/%s/policy.json" % (service, service, service)
    if service is "keystone":
        conffiles_service.join("/etc/keystone/domains/*.conf")
    utils.filteredfcopy(conffiles_service, "password")
    # use filtered copy to strip out any password data that might be present
    if service is "nova":
        utils.filteredfcopy(conffiles_service, "password", "kvm_host_ip")
        utils.filteredfcopy(conffiles_service, "password", "powervm_host_ip")
    if debug:
        print _("DEBUG: Collected %s (%s) configuration files "
                "in {0} seconds.").format(str(round(time.time() - stime, 3))
                                          % (service, service))
