# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================
import time
import os
from powervc_ras.cli.diag_utils import utils
from powervc_ras import _
debug = False
if os.getenv('POWERVCDIAG_DEBUG') is not None:
    debug = True


def collect_http_logs(dtmp):
        # collect httpd information (conf files, log files, info)
    print _("INFO: Collecting httpd (web server) and system log files...")
    if debug:
        stime = time.time()
    logfiles_httpd = "/var/log/httpd/*log*"
    logfile_messages = "/var/log/messages"
    logfile_audit = "/var/log/audit/*"
    utils.fcopy(logfiles_httpd, dtmp)
    utils.fcopy(logfile_messages, dtmp)
    utils.fcopy(logfile_audit, dtmp)
    if debug:
        print _("DEBUG: Collected httpd (web server) ,"
                " audit and system log files "
                "in {0} seconds.").format(str(round(time.time() - stime, 3)))


def collect_log(service_name, dtmp):
    if debug:
        stime = time.time()
    logfiles = "/var/log/%s/*" % service_name
    print (_("INFO: Collecting %s log files...") % service_name)
    utils.fcopy(logfiles, dtmp)
    if service_name == "ttv-validation":
        logfiles = "/var/log/%s/*/*" % service_name
        utils.fcopy(logfiles, dtmp)
    if debug:
        print _("DEBUG: Collected {0} log files "
                "in {1} seconds.").format(service_name, str(round(
                    time.time() - stime, 3)))
