# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2014, 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

# NOTE: notify message MUST follow these rules:
#
#       - Messages must be wrappered with _() for translation
#
#       - Replacement variables must be wrappered with brackets
#
#       - Replacement variables must be from the following list:'
#                        {instance_id}
#                        {instance_name}
#                        {host_name}
#                        {source_host_name}
#                        {target_host_name}
#                        {error}

from powervc_nova import _

PAUSE_SUCCESS = (_("Pause of virtual machine {instance_name} on host "
                   "{host_name} was successful."))

PAUSE_ERROR = (_("Pause of virtual machine {instance_name} on host "
                 "{host_name} failed with exception: {error}"))

SUSPEND_SUCCESS = (_("Suspend of virtual machine {instance_name} on host "
                     "{host_name} was successful."))

SUSPEND_ERROR = (_("Suspend of virtual machine {instance_name} on host "
                   "{host_name} failed with exception: {error}"))

RESUME_SUCCESS = (_("Resume of virtual machine {instance_name} on host "
                    "{host_name} was successful."))

RESUME_ERROR = (_("Resume of virtual machine {instance_name} on host "
                  "{host_name} failed with exception: {error}"))

DEPLOY_SUCCESS = (_("Deploy of virtual machine {instance_name} on host "
                    "{host_name} was successful."))

DEPLOY_ERROR = (_("Deploy of virtual machine {instance_name} on host "
                  "{host_name} failed with exception: {error}"))

START_SUCCESS = (_("Start of virtual machine {instance_name} on host "
                   "{host_name} was successful."))

START_ERROR = (_("Start of virtual machine {instance_name} on host "
                 "{host_name} failed with exception: {error}"))

STOP_SUCCESS = (_("Stop of virtual machine {instance_name} on host "
                  "{host_name} was successful."))

STOP_ERROR = (_("Stop of virtual machine {instance_name} on host "
                "{host_name} failed with exception: {error}"))

RESTART_SUCCESS = (_("Restart of virtual machine {instance_name} on host "
                     "{host_name} was successful."))

RESTART_ERROR = (_("Restart of virtual machine {instance_name} on host "
                   "{host_name} failed with exception: {error}"))

LPM_SUCCESS = (_("Migration of virtual machine {instance_name} from host "
                 "{source_host_name} to host {target_host_name} was "
                 "successful."))

LPM_ERROR = (_("Migration of virtual machine {instance_name} to host "
               "{target_host_name} failed with exception: {error}"))

LPM_ERROR_DEST = (_("Migration of virtual machine {instance_name} to host "
                    "{host_name} failed with exception: {error}"))

RR_ERROR_DEST = (_("Remote restart of virtual machine {instance_name} to host "
                   "{host_name} failed with exception: {error}"))

DELETE_ERROR = (_("Delete of virtual machine {instance_name} on host "
                  "{host_name} failed with exception: {error}"))

DELETE_SUCCESS = (_("Delete of virtual machine {instance_name} on host "
                    "{host_name} was successful. "))
RESIZE_ERROR = (_("Resize of virtual machine {instance_name} on host "
                  "{host_name} failed with exception: {error}"))

RESIZE_SUCCESS = (_("Resize of virtual machine {instance_name} on host "
                    "{host_name} was successful."))

CAPTURE_SUCCESS = (_("Capture of virtual machine {instance_name} on host "
                     "{host_name} was successful"))

CAPTURE_ERROR = (_("Capture of virtual machine {instance_name} on host "
                   "{host_name} failed with exception: {error}"))

ATTACH_SUCCESS = (_("Volume {volume_id} was successfully attached to "
                    "virtual machine {instance_name}."))

ATTACH_ERROR = (_("Volume {volume_id} could not be attached to "
                  "virtual machine {instance_name}. Error message: {error}"))

DETACH_SUCCESS = (_("Volume {volume_id} was successfully detached from "
                    "virtual machine {instance_name}."))

DETACH_ERROR = (_("Volume {volume_id} could not be detached from "
                  "virtual machine {instance_name}. Error message: {error}"))

HOSTNAME_CHANGED_ERROR = (_("Hostname has changed from {old_hostname} to "
                            "{new_hostname}. A restart is required to "
                            "take effect."))

EVACUATE_SUCCESS = (_("Virtual machine {instance_name} was successfully "
                      "remote restarted."))

EVACUATE_ERROR = (_("Virtual machine {instance_name} could not be "
                    "remote restarted. Error message: {error}"))

SOURCE_EVACUATED_INST_CLEANUP_ERROR = (_("Instance cleanup failed from "
                                         " source host {host_name} "
                                         "with error: {error}"))

SOURCE_EVACUATED_INST_CLEANUP_SUCCESS = (_("Instance cleanup from "
                                         "source host {host_name} "
                                         "is completed successfully."))
