# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from nova.ibm.ego import prs_driver as driver
from powervc_nova import compute


class PowerVCPRSDriver(driver.PRSDriver):
    """PowerVC's PRS driver class to extend PRS base logic
       shared across the PRS services."""

    def get_context(self, ctxt=None, context_service_catalog=None):
        """
        Method to create a populated admin context object.

        :param ctxt: An optional context object
        :param context_service_catalog: An optional service catalog

        :returns: A populated context object
        """
        return compute.populate_admin_context(ctxt, context_service_catalog)
