# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2013, 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

DEFAULT_SCHEMA_VERSION = 'V1_0'
SCHEMA_VER = 'schemaVersion'
DEFAULT_SCHEMA_ATTR = {SCHEMA_VER: DEFAULT_SCHEMA_VERSION}

PRIMARY_IP_ADDRESS = 'PrimaryIPAddress'
STATE = 'State'
UUID = 'id'

K2O_TEXT = 'text'

# K2 Types
MGT_CONSOLE = 'ManagementConsole'
MGT_SYS = 'ManagedSystem'
LPAR = 'LogicalPartition'
VIOS = 'VirtualIOServer'
SHR_PRC_PL = 'SharedProcessorPool'
VOL_GROUP = 'VolumeGroup'
JOBS = 'jobs'
LPAR_PROF = 'LogicalPartitionProfile'

# K2O xpaths
XP_PARTITION_NAME = './PartitionName'

SUFFIX_TYPE_DO = 'do'
SUFFIX_PARM_POWER_ON = 'PowerOn'
SUFFIX_PARM_POWER_OFF = 'PowerOff'
SUFFIX_PARM_MIGRATE = 'Migrate'
SUFFIX_PARM_CLI_RUNNER = 'CLIRunner'
SUFFIX_PARM_MIGRATE_RECOVER = 'MigrateRecover'
SUFFIX_PARM_MIGRATE_ABORT = 'MigrateAbort'
SUFFIX_PARM_QUERY_RESERVE_MEM = 'QueryReservedMemoryRequiredForPartition'
SUFFIX_PARM_CLOSE_VTERM = 'CloseVterm'
SUFFIX_PARM_LUA_RECOVERY = 'LUARecovery'
SUFFIX_PARM_REMOTE_RESTART = 'RemoteRestart'

K2_JOB_STATUS_NOT_ACTIVE = 'NOT_STARTED'
K2_JOB_STATUS_RUNNING = 'RUNNING'
K2_JOB_STATUS_COMPLETED_OK = 'COMPLETED_OK'
K2_JOB_STATUS_COMPLETED_WITH_WARNINGS = 'COMPLETED_WITH_WARNINGS'
K2_JOB_STATUS_COMPLETED_WITH_ERROR = 'COMPLETED_WITH_ERROR'
K2_JOB_STATUS_CANCELED_BEFORE_START = 'CANCELED_BEFORE_START'
K2_JOB_STATUS_CANCELED_WHILE_RUNNING = 'CANCELED_WHILE_RUNNING'

WEB_NS = 'http://www.ibm.com/xmlns/systems/power/firmware/web/mc/2012_10/'

# LUA Recovery status codes
LUA_STATUS_DEVICE_IN_USE = '1'
LUA_STATUS_ITL_NOT_RELIABLE = '2'
LUA_STATUS_DEVICE_AVIALABLE = '3'
LUA_STATUS_STORAGE_NOT_INTEREST = '4'
LUA_STATUS_LUA_NOT_INTEREST = '5'
LUA_STATUS_INCORRECT_ITL = '6'
LUA_STATUS_FOUND_DEVICE_UNKNOWN_UDID = '7'
LUA_STATUS_FOUND_ITL_ERR = '8'

# HTTP status code
HTTP_STATUS_INVALID_URL = 400
HTTP_STATUS_UNAUTHORIZED = 401
HTTP_STATUS_NOT_FOUND = 404
HTTP_STATUS_ETAG_MISMATCH = 412
HTTP_STATUS_CONNECTION_RESET = 104

# extended properties
VIOS_VSCSI_MAP_EXT_PROP = 'ViosSCSIMapping'
VIOS_VFC_MAP_EXT_PROP = 'ViosFCMapping'
VIOS_STORAGE_EXT_PROP = 'ViosStorage'
VIOS_NET_EXT_PROP = 'ViosNetwork'
ALL_VIOS_EXT_PROPS = [VIOS_VFC_MAP_EXT_PROP, VIOS_NET_EXT_PROP,
                      VIOS_VSCSI_MAP_EXT_PROP, VIOS_STORAGE_EXT_PROP]
