# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2015, 2016 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from powervc_nova.virt.ibmpowervm.hmc.k2.entry_wrapper import EntryWrapper

from oslo_log import log as logging

LOG = logging.getLogger(__name__)


MOBILE_PROC_UNITS = 'MobileCoDProcUnits'
INACTIVE_PROC_UNITS = 'InactiveProcUnits'
UNRETURNED_MOBILE_PROC_UNITS = 'UnreturnedMobileCoDProcUnits'


class EnterprisePoolMemberEntryWrapper(EntryWrapper):

    @property
    def mobile_cores(self):
        return int(self.get_parm_value(MOBILE_PROC_UNITS, 0))

    @mobile_cores.setter
    def mobile_cores(self, mobile_cores):
        self.set_parm_value(MOBILE_PROC_UNITS, str(mobile_cores))

    @property
    def unreturned_mobile_cores(self):
        return int(self.get_parm_value(UNRETURNED_MOBILE_PROC_UNITS, 0))

    @property
    def inactive_cores(self):
        return int(self.get_parm_value(INACTIVE_PROC_UNITS, 0))
