# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2013, 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from powervc_nova.virt.ibmpowervm.hmc.k2.entry_wrapper import EntryWrapper
from powervc_nova.virt.ibmpowervm.hmc.k2.entry_wrapper import ROOT

from oslo_log import log as logging

LOG = logging.getLogger(__name__)

POOL_ID = ROOT + 'PoolID'
POOL_NAME = ROOT + 'PoolName'
CURR_RSRV_PROC_UNITS = ROOT + 'CurrentReservedProcessingUnits'
MAX_PROC_UNITS = ROOT + 'MaximumProcessingUnits'
AVAIL_PROC_UNITS = ROOT + 'AvailableProcUnits'
ZERO = '0'


class ShrPrcPoolWrapper(EntryWrapper):

    def get_pool_id(self):
        pool_id = self.get_parm_value(POOL_ID, ZERO)
        return pool_id

    def get_pool_name(self):
        return self.get_parm_value(POOL_NAME)

    def get_curr_rsrv_proc_units(self):
        return self.get_parm_value(CURR_RSRV_PROC_UNITS, ZERO)

    def get_max_proc_units(self):
        return self.get_parm_value(MAX_PROC_UNITS, ZERO)

    def get_avail_proc_units(self):
        return self.get_parm_value(AVAIL_PROC_UNITS, ZERO)
