# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2013, 2014 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from nova import exception
import powervc_oslo

from powervc_nova import _


class IBMPowerVMConflictWarning(exception.NovaException):
    status_code = 409

    def format_translated_message(self, locale_context):
        msg_fmt = powervc_oslo.translate_message(locale_context,
                                                 self.msg_fmt)
        return msg_fmt % self.kwargs


class IBMPowerVMNetworkConflict(IBMPowerVMConflictWarning):
    msg_fmt = _('Warning: Other networks on host %(hostid)s also use VLAN '
                '%(vlanid)s on virtual switch %(vswitch)s. Therefore, if you '
                'use adapter %(sea)s for this network, the following networks '
                'will change to use the same adapter: %(networklist)s')


class IBMPowerVMSeaDefaultConflict(IBMPowerVMConflictWarning):
    msg_fmt = _(" Warning: VMs are in use for this network, changing adapter"
                " may result in network down time. ")


class IBMPowerVMSeaChangeConflict(IBMPowerVMConflictWarning):
    msg_fmt = _(" Warning: VLAN %(vlanid)s is already deployed to SEA %(sea)s"
                " on VIOS LPAR %(vios)s on the host %(host)s.  Changing the"
                " adapter will migrate that VLAN to the new adapter.")
